Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.jasperreports.util
Class JRQueryExecuterAdapter

    java.lang.Object
      com.jaspersoft.jasperserver.api.engine.jasperreports.util.JRQueryExecuterAdapter

    public class JRQueryExecuterAdapter

extends java.lang.Object

Version:
  $Id: JRQueryExecuterAdapter.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Nested Class Summary
`protected static class` | `JRQueryExecuterAdapter.ColumnField`
`protected static class` | `JRQueryExecuterAdapter.JSDataset`
`protected static class` | `JRQueryExecuterAdapter.JSQuery`
`protected static class` | `JRQueryExecuterAdapter.JSQueryChunk`
`protected static class` | `JRQueryExecuterAdapter.ParameterValueDecorator`
`protected static class` | `JRQueryExecuterAdapter.ReportQueryDataset`
`protected static class` | `JRQueryExecuterAdapter.ShallowJRObjectFactory`
`protected static class` | `JRQueryExecuterAdapter.ValueParameter`

Constructor Summary
`JRQueryExecuterAdapter()`

Method Summary
`static net.sf.jasperreports.engine.query.JRQueryExecuter` | `createQueryExecuter(net.sf.jasperreports.engine.JasperReport report, java.util.Map parameterValues, Query query)`
`static org.apache.commons.collections.OrderedMap` | `executeQuery(Query query, java.lang.String keyColumn, java.lang.String[] resultColumns, java.util.Map parameterValues)`
`protected static net.sf.jasperreports.engine.JRField[]` | `getDatasetFields(java.lang.String keyColumn, java.lang.String[] resultColumns)`
`protected static net.sf.jasperreports.engine.JRParameter[]` | `getDatasetParameters(net.sf.jasperreports.engine.query.JRQueryExecuterFactory queryExecuterFactory, java.util.Map parameterValues)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRQueryExecuterAdapter

    public JRQueryExecuterAdapter()

Method Detail

### executeQuery

    public static org.apache.commons.collections.OrderedMap executeQuery(Query query,
                                                                         java.lang.String keyColumn,
                                                                         java.lang.String[] resultColumns,
                                                                         java.util.Map parameterValues)

### getDatasetFields

    protected static net.sf.jasperreports.engine.JRField[] getDatasetFields(java.lang.String keyColumn,
                                                                            java.lang.String[] resultColumns)

### getDatasetParameters

    protected static net.sf.jasperreports.engine.JRParameter[] getDatasetParameters(net.sf.jasperreports.engine.query.JRQueryExecuterFactory queryExecuterFactory,
                                                                                    java.util.Map parameterValues)

### createQueryExecuter

    public static net.sf.jasperreports.engine.query.JRQueryExecuter createQueryExecuter(net.sf.jasperreports.engine.JasperReport report,
                                                                                        java.util.Map parameterValues,
                                                                                        Query query)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.